| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageValueFuncTex Class Reference

This class will generate a value using a texture. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageValueFuncTex:

[legend]
List of all members.

## Public Member Functions
virtual float | GetValue (float x, float y)
| get the value for location
## Public Attributes
csGenerateImageTexture * | tex
| the texture to use

## Detailed Description

This class will generate a value using a texture.

The average of the rgb values will be returned.

Definition at line 239 of file gentrtex.h.

## Member Function Documentation

virtual float csGenerateImageValueFuncTex::GetValue | ( | float | x,
|  | float | y |
| ) |  |  | `[virtual]`

get the value for location

Implements csGenerateImageValue.

## Member Data Documentation

csGenerateImageTexture* csGenerateImageValueFuncTex::tex

the texture to use

Definition at line 244 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h